---
title: RTCRtpStreamStats.ssrc
slug: Web/API/RTCRtpStreamStats/ssrc
tags:
  - API
  - Property
  - RTCRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - rtc
  - source
  - ssrc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCRtpStreamStats")}} dictionary's <code><strong>ssrc</strong></code> property provides the Synchronization Source (SSRC), an integer which uniquely identifies the source of the {{Glossary("RTP")}} packets whose statistics are covered by the {{domxref("RTCStatsReport")}} that includes this <code>RTCRtpStreamStats</code> dictionary.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>ssrc</em> = <em>RTCRtpStreamStats</em>.ssrc;</pre>

<h3 id="Value">Value</h3>

<p>The Synchronization Source (SSRC) is a 32-bit integer uniquely identifying the source of the RTP packets whose statistics are covered by the {{domxref("RTCStatsReport")}} object of which this <code>RTCRtpStreamStats</code> object is a component.</p>

<p>The manner in which these values are generated is not mandated by the specification, although it does make recommendations. You should not make any assumptions based on the value of <code>ssrc</code> other than that any two objects with the same <code>ssrc</code> value refer to the same source. See {{RFC("3550", "", "8")}} for additional information about <code>ssrc</code>.</p>

<div class="note">
<p><strong>Note:</strong> The specification includes an example that generates values for <code>ssrc</code> using MD5. While not part of the standard, exactly, it is a good mechanism that may be used by some browsers; others may use other methods, such as random number generators. <em>Do not</em> rely upon these values meaning anything other than "these objects are associated with the same source."</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcrtpstreamstats-ssrc', 'RTCRtpStreamStats.ssrc')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpStreamStats.ssrc")}}</p>
